<template>


<b-container fluid>
<b-row align-h="center" class= "mt-5">
<b-col cols="6">

<b-jumbotron bg-variant="aliceblue" border-variant="dark">

<div>    
    <h2 id="img">Selecione a imagem</h2>
    <b-form-file
      :state="Boolean()"
      placeholder="Escolha a imagem..."
      drop-placeholder="Arraste a imagem aqui..."
    ></b-form-file>
    </div>
<hr>

<b-form @submit="onSubmit">
<div>
<h2 id="name"> Nome Jogo </h2>
 <b-form-input
          id="input-1"
          v-model="form.nome"
          type="text"
          required
          placeholder="Digite o nome"
        ></b-form-input>
</div>
<hr>
<div>
<h2 id="name"> Categoria </h2>
 <b-form-input
          id="input-1"
          v-model="form.categoria"
          type="text"
          required
          placeholder="Digite o nome"
        ></b-form-input>
</div>

<hr>

<div>
<h2 id="name"> Meta </h2>
 <b-form-input
          id="input-1"
          v-model="form.meta"
          type="number"
          required
          placeholder="Digite o nome"
        ></b-form-input>
</div>

<hr>
<div>
    <h2 id="desc">Descrição</h2>
    <b-form-textarea
      id="textarea"
      v-model="form.descricao"
      placeholder="Digite sua descrição"
      rows="3"
      max-rows="6"
    ></b-form-textarea>
  </div>
  <hr>
  <div>
<h2 id="name"> Data de lançamento </h2>
 <b-form-input
          id="input-1"
          v-model="form.lancamento"
          type="date"
          required
          placeholder="Digite o nome"
        ></b-form-input>
        <hr>
 <b-button type="submit" href = "/projetos"variant="primary">Cadastrar</b-button>


</div>
 </b-form>
</b-jumbotron>

</b-col>
</b-row>
</b-container>

</template>
<script>
import axios from "axios";

export default{
    data() {
        return{
        form: {
        
        nome:"",
        descricao:"",
        categoria:"",
        meta:"",
        lancamento: ""

      },
      show: true
    };
 },
 methods: {
    onSubmit(evt) {
      evt.preventDefault();
      alert(JSON.stringify(this.form));
axios.post('https://indienest.herokuapp.com/jogo', this.form, {useCredentails: true}).then(res => {
  console.log(res.data)
    }).catch( err => {
      console.log(err.res)
      })
    }
}
}
</script>
<style>
#img{
    color: brown;
}
#name{
    color: brown;
}
#desc{
    color: brown;
}
</style>